package de.ivu.elect.business.internet.control;

import java.util.Collections;
import java.util.List;
import java.util.zip.ZipInputStream;

import de.ivu.elect.business.datei.entity.Datei;
import de.ivu.elect.business.internet.entity.PraesentationUploadServiceParameter;
import de.ivu.elect.business.internet.entity.PraesentationUploadUploadStatistik;
import de.ivu.elect.business.praesentation.entity.PraesentationUploadServiceTyp;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;

public class DeaktiviertPraesentationUploadService implements PraesentationUploadService {
  @Override
  public PraesentationUploadServiceTyp getPraesentationUploadServiceTyp() {
    return PraesentationUploadServiceTyp.DEAKTIVIERT;
  }

  @Override
  public List<String> isConnectionPossible(PraesentationUploadServiceParameter serviceParameter) {
    return Collections.emptyList();
  }

  @Override
  public PraesentationUploadUploadStatistik uploadFiles(PraesentationUploadServiceParameter serviceParameter, ZipInputStream zis, Datei datei) {
    return new PraesentationUploadUploadStatistik(Collections.emptyMap(), Collections.emptySet());
  }

  @Override
  public boolean isServicePropertiesPresent() {
    return false;
  }

  @Override
  public void addServiceProperties(FormBuilder formBuilder, PraesentationUploadServiceParameter serviceParameter, Messages messages) {

  }

}
